# Rally Rush: godot::EnemySpawnpoint Class Reference

Loading...
Searching...
No Matches
godot::EnemySpawnpoint Class Reference

Child node to Spawner denoting a place where a car, drone or key can be spawned. More...

`#include <enemy_spawnpoint.hpp>`

Inheritance diagram for godot::EnemySpawnpoint:

## Public Member Functions

bool | player_can_see () const
| returns true if the player can reasonably see this spawnpoint.
void | set_keys (bool val)
| If true, this spawnpoint will be considered as a possible spawnpoint for keys.
bool | get_keys () const
| If true, this spawnpoint will be considered as a possible spawnpoint for keys.
void | set_cars (bool val)
| If true, this spawnpoint will be considered as a possible spawnpoint for cars.
bool | get_cars () const
| If true, this spawnpoint will be considered as a possible spawnpoint for cars.
void | set_drones (bool val)
| If true, this spawnpoint will be considered as a possible spawnpoint for drones.
bool | get_drones () const
| If true, this spawnpoint will be considered as a possible spawnpoint for drones.

## Private Member Functions

| GDCLASS (EnemySpawnpoint, Node3D)

## Static Private Member Functions

static void | _bind_methods ()
| register editor properties

## Private Attributes

bool | keys {true}
bool | cars {true}
bool | drones {true}

## Detailed Description

Child node to Spawner denoting a place where a car, drone or key can be spawned.

## Member Function Documentation

## _bind_methods()

void godot::EnemySpawnpoint::_bind_methods | ( |  | ) |

staticprivate

register editor properties

## GDCLASS()

godot::EnemySpawnpoint::GDCLASS | ( | EnemySpawnpoint | ,
|  | Node3D |
| ) |  |

private

## get_cars()

bool godot::EnemySpawnpoint::get_cars | ( |  | ) | const

If true, this spawnpoint will be considered as a possible spawnpoint for cars.

## get_drones()

bool godot::EnemySpawnpoint::get_drones | ( |  | ) | const

If true, this spawnpoint will be considered as a possible spawnpoint for drones.

## get_keys()

bool godot::EnemySpawnpoint::get_keys | ( |  | ) | const

If true, this spawnpoint will be considered as a possible spawnpoint for keys.

## player_can_see()

bool godot::EnemySpawnpoint::player_can_see | ( |  | ) | const

returns true if the player can reasonably see this spawnpoint.

## set_cars()

void godot::EnemySpawnpoint::set_cars | ( | bool | val | ) |

If true, this spawnpoint will be considered as a possible spawnpoint for cars.

## set_drones()

void godot::EnemySpawnpoint::set_drones | ( | bool | val | ) |

If true, this spawnpoint will be considered as a possible spawnpoint for drones.

## set_keys()

void godot::EnemySpawnpoint::set_keys | ( | bool | val | ) |

If true, this spawnpoint will be considered as a possible spawnpoint for keys.

## Member Data Documentation

## cars

bool godot::EnemySpawnpoint::cars {true}

private

## drones

bool godot::EnemySpawnpoint::drones {true}

private

## keys

bool godot::EnemySpawnpoint::keys {true}

private

The documentation for this class was generated from the following files:

- src/enemy_spawnpoint.hpp
- src/enemy_spawnpoint.cpp